$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.249.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.249.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'FB0AF084478AA48BAFEFA1239CB5CDD98FF4A236410B69583B99CE2A98BDBDCF'
  checksumType = 'sha256'
  checksum64 = 'FB0AF084478AA48BAFEFA1239CB5CDD98FF4A236410B69583B99CE2A98BDBDCF'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.32.249-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
